unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs,
  MemTableDataEh, Db, DBGridEhGrouping,
  GridsEh, //DBGridEh,
  MemTableEh, ToolCtrlsEh, DBGridEhToolCtrls, StdCtrls, //Mask,
  DBCtrlsEh, ObjectInspectorEh, DBLookupEh, DynVarsEh, DBAxisGridsEh, DBGridsEh,
  LCLType, ComCtrls //, EhLibVCL
  , EhLibLCL;

type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    MemTableEh1: TMemTableEh;
    DBGridEh1: TDBGridEh;
    DataSource1: TDataSource;
    RB_DblClick: TRadioButton;
    RB_MouseUp: TRadioButton;
    RB_CellClick: TRadioButton;
    RB_MouseDown: TRadioButton;
    StatusBar1: TStatusBar;
    procedure DBGridEh1CellClick(Column: TColumnEh);
    procedure DBGridEh1DblClick(Sender: TObject);
    procedure DBGridEh1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure DBGridEh1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormKeyDown(Sender: TObject; var Key: Word;  Shift: TShiftState);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;  Shift: TShiftState);
begin
  if Key = VK_F11 then
    ShowObjectInspectorForm(ActiveControl, Rect(Left+Width+10, Top, Left+Width+10+300, Top+Height));
end;

procedure TForm1.DBGridEh1CellClick(Column: TColumnEh);
begin
     if RB_cellclick.Checked then StatusBar1.Panels[0].Text:='CellClick '+FormatDateTime('yyyy-mm-dd hh:nn:ss.zzz', Now);
end;

procedure TForm1.DBGridEh1DblClick(Sender: TObject);
begin
     if RB_DblClick.Checked then StatusBar1.Panels[0].Text:='DblClick '+FormatDateTime('yyyy-mm-dd hh:nn:ss.zzz', Now);
end;


procedure TForm1.DBGridEh1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
     if RB_MouseDown.Checked then StatusBar1.Panels[0].Text:='MouseDown '+FormatDateTime('yyyy-mm-dd hh:nn:ss.zzz', Now);
end;

procedure TForm1.DBGridEh1MouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
     if RB_MouseUp.Checked then StatusBar1.Panels[0].Text:='MouseUp '+FormatDateTime('yyyy-mm-dd hh:nn:ss.zzz', Now);
end;


initialization
//  DBGridEhDefaultStyle.IsDrawFocusRect := False;
  DefFontData.Name := 'Tahoma';
//  SetEhLibDebugDraw(True);
//  DefFontData.Height := 20;

end.

